capybara install error

zhenhuasng's Avatar

zhenhuasng

08 Jan, 2013 03:19 PM

when install capybara with: gem install capybara, an error occur: invalid gem format for C:/Ruby187/lib/ruby/gems/1.8/cache/nokogiri-1.5.6
-x86-mingw32.gem. Can you help me, thank you!

  1. Support Staff 1 Posted by Nick Quaranto on 10 Jan, 2013 04:03 PM

    Nick Quaranto's Avatar

    Can you just delete that file? Sounds like it got corrupted. Also, are you behind a firewall?

  2. 2 Posted by Luana Kudo on 26 Feb, 2019 09:28 PM

    Luana Kudo's Avatar

    When install capybara (gem install capybara) the error bellow occured. Can you help me? Thank you.

    ERROR: Could not find a valid gem 'capybara' (>= 0), here is why:
              Unable to download data from https://rubygems.org/ - Errno::ECONNREFUSED: Failed to open TCP connection to api.rubygems.org:443 (Nenhuma conexÒo p¶de ser feita porque a mßquina de destino as recusou ativamente. - connect(2) for "api.rubygems.org" port 443) (https://api.rubygems.org/specs.4.8.gz)

  3. Support Staff 3 Posted by sonalkr132 on 27 Feb, 2019 07:20 AM

    sonalkr132's Avatar

    Hi Luana,

    Can you please open a new ticket with your issue?
    Also, please check if you are hitting ipv6 issue: https://stackoverflow.com/a/50349235/3719453

  4. sonalkr132 closed this discussion on 27 Feb, 2019 07:20 AM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac